package packageForL9L10;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics2D;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Rectangle2D;

import javax.swing.JButton;
import javax.swing.JFrame;

import type.lang.*;

public class DrawVersion2 {

	public static void main(String[] args) {

		int width = 400;
		int height = 400;
		JFrame frame = new JFrame("My Frame");
		frame.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		frame.setSize(width, height);
		frame.setMinimumSize(new Dimension(width, height));
		UniPanel panel = new UniPanel();
		frame.add(panel);
		frame.pack();
		frame.setVisible(true);

		// Now we create three dots. Note that they are not
		// rendered to the screen yet)
		Ellipse2D dot1 = new Ellipse2D.Double(15, 15, 80, 80);
		Ellipse2D dot2 = new Ellipse2D.Double(25, 25, 80, 80);
		Ellipse2D dot3 = new Ellipse2D.Double(35, 35, 80, 80);

		// here's where we do the drawing. Each dot gets its own color.
		Graphics2D graphicsObject = panel.getGraphics2D();
		graphicsObject.setBackground(Color.WHITE);
		graphicsObject.setColor(Color.RED);
		graphicsObject.draw(dot1);
		graphicsObject.setColor(Color.BLUE);
		graphicsObject.draw(dot2);
		graphicsObject.setColor(Color.GREEN);
		graphicsObject.draw(dot3);

		frame.repaint();
	}
}





